Gecode::CHB::Recorder< View >::Idx Class Reference

Advisor with index and change information. More...

`#include <chb.hpp>`

## Public Member Functions

| Idx (Space &home, Propagator &p, Council< Idx > &c, int i)
| Constructor for creation.
| Idx (Space &home, Idx &a)
| Constructor for cloning a.
void | mark (void)
| Mark advisor as modified.
void | unmark (void)
| Mark advisor as unmodified.
bool | marked (void) const
| Whether advisor's view has been marked.
int | idx (void) const
| Get index of view.
Public Member Functions inherited from Gecode::Advisor
template<class A>
| Advisor (Space &home, Propagator &p, Council< A > &c)
| Constructor for creation.
| Advisor (Space &home, Advisor &a)
| Copying constructor.
const ViewTraceInfo & | operator() (const Space &home) const
| Provide access to view trace information.
template<class A>
void | dispose (Space &home, Council< A > &c)
| Dispose the advisor.

## Protected Attributes

int | _info
| Index and mark information.

## Additional Inherited Members

static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
Protected Member Functions inherited from Gecode::Advisor
Propagator & | propagator (void) const
| Return the advisor's propagator.

## Detailed Description

template<class View>
class Gecode::CHB::Recorder< View >::Idx

Advisor with index and change information.

Definition at line 145 of file chb.hpp.

## Constructor & Destructor Documentation

## Idx() [1/2]

template<class View>

Gecode::CHB::Recorder< View >::Idx::Idx | ( | Space & | home,
|  | Propagator & | p,
|  | Council< Idx > & | c,
|  | int | i )

inline

Constructor for creation.

Definition at line 206 of file chb.hpp.

## Idx() [2/2]

template<class View>

Gecode::CHB::Recorder< View >::Idx::Idx | ( | Space & | home,
|  | Idx & | a )

inline

Constructor for cloning a.

Definition at line 211 of file chb.hpp.

## Member Function Documentation

## mark()

template<class View>

void Gecode::CHB::Recorder< View >::Idx::mark | ( | void |  | ) |

inline

Mark advisor as modified.

Definition at line 216 of file chb.hpp.

## unmark()

template<class View>

void Gecode::CHB::Recorder< View >::Idx::unmark | ( | void |  | ) |

inline

Mark advisor as unmodified.

Definition at line 226 of file chb.hpp.

## marked()

template<class View>

bool Gecode::CHB::Recorder< View >::Idx::marked | ( | void |  | ) | const

inline

Whether advisor's view has been marked.

Definition at line 221 of file chb.hpp.

## idx()

template<class View>

int Gecode::CHB::Recorder< View >::Idx::idx | ( | void |  | ) | const

inline

Get index of view.

Definition at line 232 of file chb.hpp.

## Member Data Documentation

## _info

template<class View>

int Gecode::CHB::Recorder< View >::Idx::_info

protected

Index and mark information.

Definition at line 148 of file chb.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/branch/chb.hpp